HRIS Organizations
The HrisOrganization Object
Properties
idstringThe Rutter generated unique ID of the HRIS organization.
platform_idstringThe platform specific ID of the HRIS organization.
tax_idstringnullableThe tax identifier of the organization.
namestringThe name of the organization.
contact_emailstringnullableThe business contact email of the organization.
contact_phonestringnullableThe primary contact number of the organization.
custom_fieldsobjectOptionalCustom fields on the organization. Note: for field type 'select', please use the values from options presented through 'GET /accounting/organizations/custom_fields' endpoint. For field type 'boolean', please pass in a boolean value.
industrystringnullableThe industry sector of the organization.
legal_namestringnullableThe legal name of the organization.
logo_urlstringnullableThe URL of logo for the organization.
number_of_employeesnumbernullableThe employee count of the organization.
websitestringnullableThe company website of the organization.
addressobjectnullableThe registered address of the organization
address attributescreated_atstringnullableThe ISO 8601 timestamp that the HRIS organization was created.
updated_atstringnullableThe ISO 8601 timestamp that the HRIS organization was last updated.
last_synced_atstringThe ISO 8601 timestamp when the HRIS organization was last synced by Rutter.
platform_dataobjectOptionalThe raw platform data corresponding to the Rutter object.
List Organizations
Request Parameters
access_tokenstringqueryRequiredThe access token of the connection.
cursorstringqueryOptionalUsed to paginate to the next batch of objects. Should be a copy of the next_cursor value from the previous response.
limitintegerqueryOptionalUsed to limit the number of returned objects. Defaults to 50.
sortstringqueryOptionalUsed to sort the response objects, e.g. last_synced_at ASC. If a value is provided but ASC or DESC is not, defaults to ASC. If omitted, defaults to updated_at DESC. Currently supports the updated_at and last_synced_at fields.
expandarrayqueryOptionalInclude platform specific data (includes additional fields not provided by the Rutter object).
last_synced_at_minintegerqueryOptionalUsed to filter objects with a last_synced_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.
updated_at_maxintegerqueryOptionalUsed to filter objects with a updated_at value less than or equal to the supplied value. Should be a Unix time in milliseconds.
updated_at_minintegerqueryOptionalUsed to filter objects with a updated_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.
force_fetchenumqueryOptionalUsed to force a response even if the underlying connection has not finished its initial sync.
Response Body
Fetch an Organization
Request Parameters
idstringpathRequiredThe unique ID of the object.
access_tokenstringqueryRequiredThe access token of the connection.
id_typeenumqueryOptionalUsed to indicate the type of id that is supplied. Defaults to rutter. Not currently supported on Sage Intacct or Sage Business Cloud.
force_fetchenumqueryOptionalUsed to force a response even if the underlying connection has not finished its initial sync.
Response Body
Have questions?
Contact support for personalized guidance.